source: squid-ssl/trunk/fuentes/src/base/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 39.5 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/base
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libbase_la_LIBADD =
162am_libbase_la_OBJECTS = AsyncCall.lo AsyncJob.lo AsyncCallQueue.lo \
163        CharacterSet.lo RunnersRegistry.lo TextException.lo
164libbase_la_OBJECTS = $(am_libbase_la_OBJECTS)
165AM_V_lt = $(am__v_lt_@AM_V@)
166am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
167am__v_lt_0 = --silent
168am__v_lt_1 =
169AM_V_P = $(am__v_P_@AM_V@)
170am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
171am__v_P_0 = false
172am__v_P_1 = :
173AM_V_GEN = $(am__v_GEN_@AM_V@)
174am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
175am__v_GEN_0 = @echo "  GEN     " $@;
176am__v_GEN_1 =
177AM_V_at = $(am__v_at_@AM_V@)
178am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
179am__v_at_0 = @
180am__v_at_1 =
181DEFAULT_INCLUDES =
182depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
183am__depfiles_maybe = depfiles
184am__mv = mv -f
185CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
186        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
187LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
188        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
189        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
190        $(AM_CXXFLAGS) $(CXXFLAGS)
191AM_V_CXX = $(am__v_CXX_@AM_V@)
192am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
193am__v_CXX_0 = @echo "  CXX     " $@;
194am__v_CXX_1 =
195CXXLD = $(CXX)
196CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
198        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
199AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
200am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
201am__v_CXXLD_0 = @echo "  CXXLD   " $@;
202am__v_CXXLD_1 =
203COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
204        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
205LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
206        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
207        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
208        $(AM_CFLAGS) $(CFLAGS)
209AM_V_CC = $(am__v_CC_@AM_V@)
210am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
211am__v_CC_0 = @echo "  CC      " $@;
212am__v_CC_1 =
213CCLD = $(CC)
214LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
215        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
216        $(AM_LDFLAGS) $(LDFLAGS) -o $@
217AM_V_CCLD = $(am__v_CCLD_@AM_V@)
218am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
219am__v_CCLD_0 = @echo "  CCLD    " $@;
220am__v_CCLD_1 =
221SOURCES = $(libbase_la_SOURCES)
222DIST_SOURCES = $(libbase_la_SOURCES)
223am__can_run_installinfo = \
224  case $$AM_UPDATE_INFO_DIR in \
225    n|no|NO) false;; \
226    *) (install-info --version) >/dev/null 2>&1;; \
227  esac
228am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
229# Read a list of newline-separated strings from the standard input,
230# and print each of them once, without duplicates.  Input order is
231# *not* preserved.
232am__uniquify_input = $(AWK) '\
233  BEGIN { nonempty = 0; } \
234  { items[$$0] = 1; nonempty = 1; } \
235  END { if (nonempty) { for (i in items) print i; }; } \
236'
237# Make sure the list of sources is unique.  This is necessary because,
238# e.g., the same source file might be shared among _SOURCES variables
239# for different programs/libraries.
240am__define_uniq_tagged_files = \
241  list='$(am__tagged_files)'; \
242  unique=`for i in $$list; do \
243    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
244  done | $(am__uniquify_input)`
245ETAGS = etags
246CTAGS = ctags
247am__tty_colors_dummy = \
248  mgn= red= grn= lgn= blu= brg= std=; \
249  am__color_tests=no
250am__tty_colors = { \
251  $(am__tty_colors_dummy); \
252  if test "X$(AM_COLOR_TESTS)" = Xno; then \
253    am__color_tests=no; \
254  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
255    am__color_tests=yes; \
256  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
257    am__color_tests=yes; \
258  fi; \
259  if test $$am__color_tests = yes; then \
260    red='[0;31m'; \
261    grn='[0;32m'; \
262    lgn='[1;32m'; \
263    blu='[1;34m'; \
264    mgn='[0;35m'; \
265    brg='[1m'; \
266    std='[m'; \
267  fi; \
268}
269am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
270am__vpath_adj = case $$p in \
271    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
272    *) f=$$p;; \
273  esac;
274am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
275am__install_max = 40
276am__nobase_strip_setup = \
277  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
278am__nobase_strip = \
279  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
280am__nobase_list = $(am__nobase_strip_setup); \
281  for p in $$list; do echo "$$p $$p"; done | \
282  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
283  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
284    if (++n[$$2] == $(am__install_max)) \
285      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
286    END { for (dir in files) print dir, files[dir] }'
287am__base_list = \
288  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
289  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
290am__uninstall_files_from_dir = { \
291  test -z "$$files" \
292    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
293    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
294         $(am__cd) "$$dir" && rm -f $$files; }; \
295  }
296am__recheck_rx = ^[     ]*:recheck:[    ]*
297am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
298am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
299# A command that, given a newline-separated list of test names on the
300# standard input, print the name of the tests that are to be re-run
301# upon "make recheck".
302am__list_recheck_tests = $(AWK) '{ \
303  recheck = 1; \
304  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
305    { \
306      if (rc < 0) \
307        { \
308          if ((getline line2 < ($$0 ".log")) < 0) \
309            recheck = 0; \
310          break; \
311        } \
312      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
313        { \
314          recheck = 0; \
315          break; \
316        } \
317      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
318        { \
319          break; \
320        } \
321    }; \
322  if (recheck) \
323    print $$0; \
324  close ($$0 ".trs"); \
325  close ($$0 ".log"); \
326}'
327# A command that, given a newline-separated list of test names on the
328# standard input, create the global log from their .trs and .log files.
329am__create_global_log = $(AWK) ' \
330function fatal(msg) \
331{ \
332  print "fatal: making $@: " msg | "cat >&2"; \
333  exit 1; \
334} \
335function rst_section(header) \
336{ \
337  print header; \
338  len = length(header); \
339  for (i = 1; i <= len; i = i + 1) \
340    printf "="; \
341  printf "\n\n"; \
342} \
343{ \
344  copy_in_global_log = 1; \
345  global_test_result = "RUN"; \
346  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
347    { \
348      if (rc < 0) \
349         fatal("failed to read from " $$0 ".trs"); \
350      if (line ~ /$(am__global_test_result_rx)/) \
351        { \
352          sub("$(am__global_test_result_rx)", "", line); \
353          sub("[        ]*$$", "", line); \
354          global_test_result = line; \
355        } \
356      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
357        copy_in_global_log = 0; \
358    }; \
359  if (copy_in_global_log) \
360    { \
361      rst_section(global_test_result ": " $$0); \
362      while ((rc = (getline line < ($$0 ".log"))) != 0) \
363      { \
364        if (rc < 0) \
365          fatal("failed to read from " $$0 ".log"); \
366        print line; \
367      }; \
368      printf "\n"; \
369    }; \
370  close ($$0 ".trs"); \
371  close ($$0 ".log"); \
372}'
373# Restructured Text title.
374am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
375# Solaris 10 'make', and several other traditional 'make' implementations,
376# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
377# by disabling -e (using the XSI extension "set +e") if it's set.
378am__sh_e_setup = case $$- in *e*) set +e;; esac
379# Default flags passed to test drivers.
380am__common_driver_flags = \
381  --color-tests "$$am__color_tests" \
382  --enable-hard-errors "$$am__enable_hard_errors" \
383  --expect-failure "$$am__expect_failure"
384# To be inserted before the command running the test.  Creates the
385# directory for the log if needed.  Stores in $dir the directory
386# containing $f, in $tst the test, in $log the log.  Executes the
387# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
388# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
389# will run the test scripts (or their associated LOG_COMPILER, if
390# thy have one).
391am__check_pre = \
392$(am__sh_e_setup);                                      \
393$(am__vpath_adj_setup) $(am__vpath_adj)                 \
394$(am__tty_colors);                                      \
395srcdir=$(srcdir); export srcdir;                        \
396case "$@" in                                            \
397  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
398    *) am__odir=.;;                                     \
399esac;                                                   \
400test "x$$am__odir" = x"." || test -d "$$am__odir"       \
401  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
402if test -f "./$$f"; then dir=./;                        \
403elif test -f "$$f"; then dir=;                          \
404else dir="$(srcdir)/"; fi;                              \
405tst=$$dir$$f; log='$@';                                 \
406if test -n '$(DISABLE_HARD_ERRORS)'; then               \
407  am__enable_hard_errors=no;                            \
408else                                                    \
409  am__enable_hard_errors=yes;                           \
410fi;                                                     \
411case " $(XFAIL_TESTS) " in                              \
412  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
413    am__expect_failure=yes;;                            \
414  *)                                                    \
415    am__expect_failure=no;;                             \
416esac;                                                   \
417$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
418# A shell command to get the names of the tests scripts with any registered
419# extension removed (i.e., equivalently, the names of the test logs, with
420# the '.log' extension removed).  The result is saved in the shell variable
421# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
422# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
423# since that might cause problem with VPATH rewrites for suffix-less tests.
424# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
425am__set_TESTS_bases = \
426  bases='$(TEST_LOGS)'; \
427  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
428  bases=`echo $$bases`
429RECHECK_LOGS = $(TEST_LOGS)
430AM_RECURSIVE_TARGETS = check recheck
431TEST_SUITE_LOG = test-suite.log
432TEST_EXTENSIONS = @EXEEXT@ .test
433LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
434LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
435am__set_b = \
436  case '$@' in \
437    */*) \
438      case '$*' in \
439        */*) b='$*';; \
440          *) b=`echo '$@' | sed 's/\.log$$//'`; \
441       esac;; \
442    *) \
443      b='$*';; \
444  esac
445am__test_logs1 = $(TESTS:=.log)
446am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
447TEST_LOGS = $(am__test_logs2:.test.log=.log)
448TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
449TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
450        $(TEST_LOG_FLAGS)
451am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
452        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
453        $(top_srcdir)/src/TestHeaders.am
454DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
455ACLOCAL = @ACLOCAL@
456ADAPTATION_LIBS = @ADAPTATION_LIBS@
457ALLOCA = @ALLOCA@
458AMTAR = @AMTAR@
459AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
460AR = @AR@
461ARGZ_H = @ARGZ_H@
462AR_R = @AR_R@
463AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
464AUTH_MODULES = @AUTH_MODULES@
465AUTOCONF = @AUTOCONF@
466AUTOHEADER = @AUTOHEADER@
467AUTOMAKE = @AUTOMAKE@
468AWK = @AWK@
469BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
470BUILDCXX = @BUILDCXX@
471BUILDCXXFLAGS = @BUILDCXXFLAGS@
472BZR = @BZR@
473CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
474CC = @CC@
475CCDEPMODE = @CCDEPMODE@
476CFLAGS = @CFLAGS@
477CGIEXT = @CGIEXT@
478CHMOD = @CHMOD@
479CPP = @CPP@
480CPPFLAGS = @CPPFLAGS@
481CPPUNITCONFIG = @CPPUNITCONFIG@
482CRYPTLIB = @CRYPTLIB@
483CXX = @CXX@
484CXXCPP = @CXXCPP@
485CXXDEPMODE = @CXXDEPMODE@
486CXXFLAGS = @CXXFLAGS@
487CYGPATH_W = @CYGPATH_W@
488DEFAULT_HOSTS = @DEFAULT_HOSTS@
489DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
490DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
491DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
492DEFS = @DEFS@
493DEPDIR = @DEPDIR@
494DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
495DISK_LIBS = @DISK_LIBS@
496DISK_LINKOBJS = @DISK_LINKOBJS@
497DISK_MODULES = @DISK_MODULES@
498DISK_OS_LIBS = @DISK_OS_LIBS@
499DISK_PROGRAMS = @DISK_PROGRAMS@
500DLLTOOL = @DLLTOOL@
501DSYMUTIL = @DSYMUTIL@
502DUMPBIN = @DUMPBIN@
503ECAP_LIBS = @ECAP_LIBS@
504ECHO_C = @ECHO_C@
505ECHO_N = @ECHO_N@
506ECHO_T = @ECHO_T@
507EGREP = @EGREP@
508EPOLL_LIBS = @EPOLL_LIBS@
509EUILIB = @EUILIB@
510EXEEXT = @EXEEXT@
511EXPATLIB = @EXPATLIB@
512EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
513EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
514EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
515FALSE = @FALSE@
516FGREP = @FGREP@
517GREP = @GREP@
518HAVE_CXX11 = @HAVE_CXX11@
519ICAP_LIBS = @ICAP_LIBS@
520INCLTDL = @INCLTDL@
521INSTALL = @INSTALL@
522INSTALL_DATA = @INSTALL_DATA@
523INSTALL_PROGRAM = @INSTALL_PROGRAM@
524INSTALL_SCRIPT = @INSTALL_SCRIPT@
525INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
526KRB5INCS = @KRB5INCS@
527KRB5LIBS = @KRB5LIBS@
528LBERLIB = @LBERLIB@
529LD = @LD@
530LDAPLIB = @LDAPLIB@
531LDFLAGS = @LDFLAGS@
532LIBADD_DL = @LIBADD_DL@
533LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
534LIBADD_DLOPEN = @LIBADD_DLOPEN@
535LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
536LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
537LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
538LIBLTDL = @LIBLTDL@
539LIBOBJS = @LIBOBJS@
540LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
541LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
542LIBS = @LIBS@
543LIBSASL = @LIBSASL@
544LIBTOOL = @LIBTOOL@
545LIB_DB = @LIB_DB@
546LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
547LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
548LINUXDOC = @LINUXDOC@
549LIPO = @LIPO@
550LN = @LN@
551LN_S = @LN_S@
552LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
553LTDLDEPS = @LTDLDEPS@
554LTDLINCL = @LTDLINCL@
555LTDLOPEN = @LTDLOPEN@
556LTLIBOBJS = @LTLIBOBJS@
557LT_CONFIG_H = @LT_CONFIG_H@
558LT_DLLOADERS = @LT_DLLOADERS@
559LT_DLPREOPEN = @LT_DLPREOPEN@
560MAINT = @MAINT@
561MAKEINFO = @MAKEINFO@
562MANIFEST_TOOL = @MANIFEST_TOOL@
563MINGW_LIBS = @MINGW_LIBS@
564MKDIR = @MKDIR@
565MKDIR_P = @MKDIR_P@
566MV = @MV@
567NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
568NETTLELIB = @NETTLELIB@
569NM = @NM@
570NMEDIT = @NMEDIT@
571NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
572OBJDUMP = @OBJDUMP@
573OBJEXT = @OBJEXT@
574OTOOL = @OTOOL@
575OTOOL64 = @OTOOL64@
576PACKAGE = @PACKAGE@
577PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
578PACKAGE_NAME = @PACKAGE_NAME@
579PACKAGE_STRING = @PACKAGE_STRING@
580PACKAGE_TARNAME = @PACKAGE_TARNAME@
581PACKAGE_URL = @PACKAGE_URL@
582PACKAGE_VERSION = @PACKAGE_VERSION@
583PATH_SEPARATOR = @PATH_SEPARATOR@
584PERL = @PERL@
585PKG_CONFIG = @PKG_CONFIG@
586PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
587PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
588PO2HTML = @PO2HTML@
589PO2TEXT = @PO2TEXT@
590POD2MAN = @POD2MAN@
591RANLIB = @RANLIB@
592REGEXLIB = @REGEXLIB@
593REPL_LIBS = @REPL_LIBS@
594REPL_OBJS = @REPL_OBJS@
595REPL_POLICIES = @REPL_POLICIES@
596RM = @RM@
597SED = @SED@
598SET_MAKE = @SET_MAKE@
599SH = @SH@
600SHELL = @SHELL@
601SMBCLIENT = @SMBCLIENT@
602SNMPLIB = @SNMPLIB@
603SQUID_CFLAGS = @SQUID_CFLAGS@
604SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
605SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
606SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
607SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
608SSLLIB = @SSLLIB@
609STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
610STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
611STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
612STORE_TESTS = @STORE_TESTS@
613STRIP = @STRIP@
614TR = @TR@
615TRUE = @TRUE@
616URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
617VERSION = @VERSION@
618WBINFO = @WBINFO@
619WIN32_PSAPI = @WIN32_PSAPI@
620XMLLIB = @XMLLIB@
621XTRA_LIBS = @XTRA_LIBS@
622XTRA_OBJS = @XTRA_OBJS@
623abs_builddir = @abs_builddir@
624abs_srcdir = @abs_srcdir@
625abs_top_builddir = @abs_top_builddir@
626abs_top_srcdir = @abs_top_srcdir@
627ac_ct_AR = @ac_ct_AR@
628ac_ct_CC = @ac_ct_CC@
629ac_ct_CXX = @ac_ct_CXX@
630ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
631am__include = @am__include@
632am__leading_dot = @am__leading_dot@
633am__quote = @am__quote@
634am__tar = @am__tar@
635am__untar = @am__untar@
636bindir = @bindir@
637build = @build@
638build_alias = @build_alias@
639build_cpu = @build_cpu@
640build_os = @build_os@
641build_vendor = @build_vendor@
642builddir = @builddir@
643datadir = @datadir@
644datarootdir = @datarootdir@
645docdir = @docdir@
646dvidir = @dvidir@
647exec_prefix = @exec_prefix@
648host = @host@
649host_alias = @host_alias@
650host_cpu = @host_cpu@
651host_os = @host_os@
652host_vendor = @host_vendor@
653htmldir = @htmldir@
654includedir = @includedir@
655infodir = @infodir@
656install_sh = @install_sh@
657krb5_config = @krb5_config@
658libdir = @libdir@
659libexecdir = @libexecdir@
660localedir = @localedir@
661localstatedir = @localstatedir@
662ltdl_LIBOBJS = @ltdl_LIBOBJS@
663ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
664mandir = @mandir@
665mkdir_p = @mkdir_p@
666oldincludedir = @oldincludedir@
667pdfdir = @pdfdir@
668prefix = @prefix@
669program_transform_name = @program_transform_name@
670psdir = @psdir@
671runstatedir = @runstatedir@
672sbindir = @sbindir@
673sharedstatedir = @sharedstatedir@
674srcdir = @srcdir@
675subdirs = @subdirs@
676sys_symbol_underscore = @sys_symbol_underscore@
677sysconfdir = @sysconfdir@
678target_alias = @target_alias@
679top_build_prefix = @top_build_prefix@
680top_builddir = @top_builddir@
681top_srcdir = @top_srcdir@
682AM_CFLAGS = $(SQUID_CFLAGS)
683AM_CXXFLAGS = $(SQUID_CXXFLAGS)
684CLEANFILES = testHeaders
685TESTS = testHeaders
686AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
687        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
688        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
689        $(am__append_1)
690@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
691@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
692COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
693subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
694noinst_LTLIBRARIES = libbase.la
695libbase_la_SOURCES = \
696        AsyncCall.cc \
697        AsyncCall.h \
698        AsyncCbdataCalls.h \
699        AsyncJob.h \
700        AsyncJob.cc \
701        AsyncJobCalls.h \
702        AsyncCallQueue.cc \
703        AsyncCallQueue.h \
704        CharacterSet.h \
705        CharacterSet.cc \
706        CbcPointer.h \
707        InstanceId.h \
708        Lock.h \
709        LruMap.h \
710        RunnersRegistry.cc \
711        RunnersRegistry.h \
712        Subscription.h \
713        TextException.cc \
714        TextException.h \
715        TidyPointer.h
716
717all: all-am
718
719.SUFFIXES:
720.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
721$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
722        @for dep in $?; do \
723          case '$(am__configure_deps)' in \
724            *$$dep*) \
725              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
726                && { if test -f $@; then exit 0; else break; fi; }; \
727              exit 1;; \
728          esac; \
729        done; \
730        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/base/Makefile'; \
731        $(am__cd) $(top_srcdir) && \
732          $(AUTOMAKE) --foreign src/base/Makefile
733Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
734        @case '$?' in \
735          *config.status*) \
736            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
737          *) \
738            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
739            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
740        esac;
741$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
742
743$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
744        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
745
746$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
747        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
748$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
749        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750$(am__aclocal_m4_deps):
751
752clean-noinstLTLIBRARIES:
753        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
754        @list='$(noinst_LTLIBRARIES)'; \
755        locs=`for p in $$list; do echo $$p; done | \
756              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
757              sort -u`; \
758        test -z "$$locs" || { \
759          echo rm -f $${locs}; \
760          rm -f $${locs}; \
761        }
762
763libbase.la: $(libbase_la_OBJECTS) $(libbase_la_DEPENDENCIES) $(EXTRA_libbase_la_DEPENDENCIES)
764        $(AM_V_CXXLD)$(CXXLINK)  $(libbase_la_OBJECTS) $(libbase_la_LIBADD) $(LIBS)
765
766clean-checkPROGRAMS:
767        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
768        echo " rm -f" $$list; \
769        rm -f $$list || exit $$?; \
770        test -n "$(EXEEXT)" || exit 0; \
771        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
772        echo " rm -f" $$list; \
773        rm -f $$list
774
775mostlyclean-compile:
776        -rm -f *.$(OBJEXT)
777
778distclean-compile:
779        -rm -f *.tab.c
780
781@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AsyncCall.Plo@am__quote@
782@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AsyncCallQueue.Plo@am__quote@
783@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AsyncJob.Plo@am__quote@
784@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CharacterSet.Plo@am__quote@
785@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/RunnersRegistry.Plo@am__quote@
786@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TextException.Plo@am__quote@
787
788.cc.o:
789@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
790@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
791@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
792@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
793@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
795
796.cc.obj:
797@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
798@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
799@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
800@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
801@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
802@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
803
804.cc.lo:
805@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
806@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
807@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
808@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
809@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
810@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
811
812mostlyclean-libtool:
813        -rm -f *.lo
814
815clean-libtool:
816        -rm -rf .libs _libs
817
818ID: $(am__tagged_files)
819        $(am__define_uniq_tagged_files); mkid -fID $$unique
820tags: tags-am
821TAGS: tags
822
823tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
824        set x; \
825        here=`pwd`; \
826        $(am__define_uniq_tagged_files); \
827        shift; \
828        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
829          test -n "$$unique" || unique=$$empty_fix; \
830          if test $$# -gt 0; then \
831            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
832              "$$@" $$unique; \
833          else \
834            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
835              $$unique; \
836          fi; \
837        fi
838ctags: ctags-am
839
840CTAGS: ctags
841ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
842        $(am__define_uniq_tagged_files); \
843        test -z "$(CTAGS_ARGS)$$unique" \
844          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
845             $$unique
846
847GTAGS:
848        here=`$(am__cd) $(top_builddir) && pwd` \
849          && $(am__cd) $(top_srcdir) \
850          && gtags -i $(GTAGS_ARGS) "$$here"
851cscopelist: cscopelist-am
852
853cscopelist-am: $(am__tagged_files)
854        list='$(am__tagged_files)'; \
855        case "$(srcdir)" in \
856          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
857          *) sdir=$(subdir)/$(srcdir) ;; \
858        esac; \
859        for i in $$list; do \
860          if test -f "$$i"; then \
861            echo "$(subdir)/$$i"; \
862          else \
863            echo "$$sdir/$$i"; \
864          fi; \
865        done >> $(top_builddir)/cscope.files
866
867distclean-tags:
868        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
869
870# Recover from deleted '.trs' file; this should ensure that
871# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
872# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
873# to avoid problems with "make -n".
874.log.trs:
875        rm -f $< $@
876        $(MAKE) $(AM_MAKEFLAGS) $<
877
878# Leading 'am--fnord' is there to ensure the list of targets does not
879# expand to empty, as could happen e.g. with make check TESTS=''.
880am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
881am--force-recheck:
882        @:
883
884$(TEST_SUITE_LOG): $(TEST_LOGS)
885        @$(am__set_TESTS_bases); \
886        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
887        redo_bases=`for i in $$bases; do \
888                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
889                    done`; \
890        if test -n "$$redo_bases"; then \
891          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
892          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
893          if $(am__make_dryrun); then :; else \
894            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
895          fi; \
896        fi; \
897        if test -n "$$am__remaking_logs"; then \
898          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
899               "recursion detected" >&2; \
900        elif test -n "$$redo_logs"; then \
901          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
902        fi; \
903        if $(am__make_dryrun); then :; else \
904          st=0;  \
905          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
906          for i in $$redo_bases; do \
907            test -f $$i.trs && test -r $$i.trs \
908              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
909            test -f $$i.log && test -r $$i.log \
910              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
911          done; \
912          test $$st -eq 0 || exit 1; \
913        fi
914        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
915        ws='[   ]'; \
916        results=`for b in $$bases; do echo $$b.trs; done`; \
917        test -n "$$results" || results=/dev/null; \
918        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
919        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
920        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
921        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
922        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
923        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
924        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
925        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
926          success=true; \
927        else \
928          success=false; \
929        fi; \
930        br='==================='; br=$$br$$br$$br$$br; \
931        result_count () \
932        { \
933            if test x"$$1" = x"--maybe-color"; then \
934              maybe_colorize=yes; \
935            elif test x"$$1" = x"--no-color"; then \
936              maybe_colorize=no; \
937            else \
938              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
939            fi; \
940            shift; \
941            desc=$$1 count=$$2; \
942            if test $$maybe_colorize = yes && test $$count -gt 0; then \
943              color_start=$$3 color_end=$$std; \
944            else \
945              color_start= color_end=; \
946            fi; \
947            echo "$${color_start}# $$desc $$count$${color_end}"; \
948        }; \
949        create_testsuite_report () \
950        { \
951          result_count $$1 "TOTAL:" $$all   "$$brg"; \
952          result_count $$1 "PASS: " $$pass  "$$grn"; \
953          result_count $$1 "SKIP: " $$skip  "$$blu"; \
954          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
955          result_count $$1 "FAIL: " $$fail  "$$red"; \
956          result_count $$1 "XPASS:" $$xpass "$$red"; \
957          result_count $$1 "ERROR:" $$error "$$mgn"; \
958        }; \
959        {                                                               \
960          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
961            $(am__rst_title);                                           \
962          create_testsuite_report --no-color;                           \
963          echo;                                                         \
964          echo ".. contents:: :depth: 2";                               \
965          echo;                                                         \
966          for b in $$bases; do echo $$b; done                           \
967            | $(am__create_global_log);                                 \
968        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
969        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
970        if $$success; then                                              \
971          col="$$grn";                                                  \
972         else                                                           \
973          col="$$red";                                                  \
974          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
975        fi;                                                             \
976        echo "$${col}$$br$${std}";                                      \
977        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
978        echo "$${col}$$br$${std}";                                      \
979        create_testsuite_report --maybe-color;                          \
980        echo "$$col$$br$$std";                                          \
981        if $$success; then :; else                                      \
982          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
983          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
984            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
985          fi;                                                           \
986          echo "$$col$$br$$std";                                        \
987        fi;                                                             \
988        $$success || exit 1
989
990check-TESTS:
991        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
992        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
993        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
994        @set +e; $(am__set_TESTS_bases); \
995        log_list=`for i in $$bases; do echo $$i.log; done`; \
996        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
997        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
998        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
999        exit $$?;
1000recheck: all $(check_PROGRAMS)
1001        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1002        @set +e; $(am__set_TESTS_bases); \
1003        bases=`for i in $$bases; do echo $$i; done \
1004                 | $(am__list_recheck_tests)` || exit 1; \
1005        log_list=`for i in $$bases; do echo $$i.log; done`; \
1006        log_list=`echo $$log_list`; \
1007        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1008                am__force_recheck=am--force-recheck \
1009                TEST_LOGS="$$log_list"; \
1010        exit $$?
1011testHeaders.log: testHeaders
1012        @p='testHeaders'; \
1013        b='testHeaders'; \
1014        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1015        --log-file $$b.log --trs-file $$b.trs \
1016        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1017        "$$tst" $(AM_TESTS_FD_REDIRECT)
1018.test.log:
1019        @p='$<'; \
1020        $(am__set_b); \
1021        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1022        --log-file $$b.log --trs-file $$b.trs \
1023        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1024        "$$tst" $(AM_TESTS_FD_REDIRECT)
1025@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1026@am__EXEEXT_TRUE@       @p='$<'; \
1027@am__EXEEXT_TRUE@       $(am__set_b); \
1028@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1029@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1030@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1031@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1032
1033distdir: $(DISTFILES)
1034        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1035        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1036        list='$(DISTFILES)'; \
1037          dist_files=`for file in $$list; do echo $$file; done | \
1038          sed -e "s|^$$srcdirstrip/||;t" \
1039              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1040        case $$dist_files in \
1041          */*) $(MKDIR_P) `echo "$$dist_files" | \
1042                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1043                           sort -u` ;; \
1044        esac; \
1045        for file in $$dist_files; do \
1046          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1047          if test -d $$d/$$file; then \
1048            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1049            if test -d "$(distdir)/$$file"; then \
1050              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1051            fi; \
1052            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1053              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1054              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1055            fi; \
1056            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1057          else \
1058            test -f "$(distdir)/$$file" \
1059            || cp -p $$d/$$file "$(distdir)/$$file" \
1060            || exit 1; \
1061          fi; \
1062        done
1063check-am: all-am
1064        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1065        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1066check: check-am
1067all-am: Makefile $(LTLIBRARIES)
1068installdirs:
1069install: install-am
1070install-exec: install-exec-am
1071install-data: install-data-am
1072uninstall: uninstall-am
1073
1074install-am: all-am
1075        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1076
1077installcheck: installcheck-am
1078install-strip:
1079        if test -z '$(STRIP)'; then \
1080          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1081            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1082              install; \
1083        else \
1084          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1085            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1086            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1087        fi
1088mostlyclean-generic:
1089        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1090        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1091        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1092
1093clean-generic:
1094        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1095
1096distclean-generic:
1097        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1098        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1099
1100maintainer-clean-generic:
1101        @echo "This command is intended for maintainers to use"
1102        @echo "it deletes files that may require special tools to rebuild."
1103clean: clean-am
1104
1105clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1106        clean-noinstLTLIBRARIES mostlyclean-am
1107
1108distclean: distclean-am
1109        -rm -rf ./$(DEPDIR)
1110        -rm -f Makefile
1111distclean-am: clean-am distclean-compile distclean-generic \
1112        distclean-tags
1113
1114dvi: dvi-am
1115
1116dvi-am:
1117
1118html: html-am
1119
1120html-am:
1121
1122info: info-am
1123
1124info-am:
1125
1126install-data-am:
1127
1128install-dvi: install-dvi-am
1129
1130install-dvi-am:
1131
1132install-exec-am:
1133
1134install-html: install-html-am
1135
1136install-html-am:
1137
1138install-info: install-info-am
1139
1140install-info-am:
1141
1142install-man:
1143
1144install-pdf: install-pdf-am
1145
1146install-pdf-am:
1147
1148install-ps: install-ps-am
1149
1150install-ps-am:
1151
1152installcheck-am:
1153
1154maintainer-clean: maintainer-clean-am
1155        -rm -rf ./$(DEPDIR)
1156        -rm -f Makefile
1157maintainer-clean-am: distclean-am maintainer-clean-generic
1158
1159mostlyclean: mostlyclean-am
1160
1161mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1162        mostlyclean-libtool
1163
1164pdf: pdf-am
1165
1166pdf-am:
1167
1168ps: ps-am
1169
1170ps-am:
1171
1172uninstall-am:
1173
1174.MAKE: check-am install-am install-strip
1175
1176.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1177        clean-checkPROGRAMS clean-generic clean-libtool \
1178        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1179        distclean-compile distclean-generic distclean-libtool \
1180        distclean-tags distdir dvi dvi-am html html-am info info-am \
1181        install install-am install-data install-data-am install-dvi \
1182        install-dvi-am install-exec install-exec-am install-html \
1183        install-html-am install-info install-info-am install-man \
1184        install-pdf install-pdf-am install-ps install-ps-am \
1185        install-strip installcheck installcheck-am installdirs \
1186        maintainer-clean maintainer-clean-generic mostlyclean \
1187        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1188        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1189        uninstall-am
1190
1191.PRECIOUS: Makefile
1192
1193
1194$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1195
1196testHeaders: $(srcdir)/*.h
1197        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1198
1199.PHONY: testHeaders
1200
1201# Tell versions [3.59,3.63) of GNU make to not export all variables.
1202# Otherwise a system limit (for SysV at least) may be exceeded.
1203.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.